List monitors
GET
/v1/monitor/
const url = 'https://example.com/v1/monitor/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/monitor/ \ --header 'Authorization: Bearer <token>'Return all monitors for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”active
boolean
agent
string format: uuid
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
tags
string
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
string format: uuid
active
required
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time
expiration_cache
string format: date-time
id
required
string format: uuid
kubernetes_cluster_name
required
string
modified_at
required
string format: date-time
ca_file
string
domain_name
string
expected_content
string
expected_response_code
integer
headers
unexpected_content
string
url
string
head_request
boolean
account_config
required
string format: uuid
current_status_text
required
string
tags
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
is_automatic
required
boolean
is_service_tag
required
boolean
name
required
string
tag_type
0- Automatic API1- Created by Glouton2- Created by frontend3- Automatic Glouton4- Automatic API for agent’s service10- No type
integer
tag_type_text
required
string
display_name
string
is_sandbox
required
boolean
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "kubernetes_cluster_name": "", "tags": [ { "tag_type": 0 } ] } ]}